Bug 121208 - 100% reproducable segfault
100% reproducable segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grip (Show other bugs)
1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-18 23:28 EDT by Michael Soulier
Modified: 2014-03-16 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 18:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Soulier 2004-04-18 23:28:32 EDT
Every time I put my "Les Miserable" CD into the drive and close it,
grip segfaults. I've had various other segfaults from it, but nothing
reproducable. This happens 100% of the time. 

[msoulier@coyote music]$ rpm -q grip
grip-3.1.5-1.fr

I'm running Fedora Core 1 + latest updates on an Intel PIII 450 w/
384Megs of RAM. 

If you need any other information, please let me know.
Comment 1 Bill Nottingham 2004-04-19 00:48:33 EDT
Only that cd?
Comment 2 Michael Soulier 2004-04-19 08:36:51 EDT
> Only that cd?

That is the only 100% reproducable case, yes. In other cases, I've had
segfaults while grip is still encoding the previously ripped tracks,
and I pop in a new CD. However, I can usually restart it and put that
CD in again without incident. 

When I get a chance, I'll run strace on grip and pop in that CD, just
to see what it's doing when it dies. I'm assuming that it's doing the
CDDB lookup, or perhaps just before that. 
Comment 3 Bill Nottingham 2005-02-04 18:08:56 EST
grip is no longer shipped in the development tree; as such, it is unlikely older
bugs will be fixed.

Note You need to log in before you can comment on or make changes to this bug.